View Issue Details

IDProjectCategoryView StatusLast Update
0002311SymmetricDSImprovementpublic2015-10-02 10:23
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.22 
Target Version3.7.22Fixed in Version3.7.22 
Summary0002311: Don't use 503 when SymmetricDS is unavailable as some proxies return that as well.
DescriptionDon't use 503 when SymmetricDS is unavailable as some proxies return that as well.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f56956a2

2015-06-12 15:34:06

chenson

Details Diff
0002311: Don't use 503 when SymmetricDS is unavailable as some proxies return that as well.
0002312: Return different error codes for when an engine is stopped or starting versus the server is too busy

0002311
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AuthenticationException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ConnectionRejectedException.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/OfflineException.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ServiceUnavailableException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/SyncDisabledException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/NodeConcurrencyInterceptor.java Diff File

SymmetricDS: 3.7 48d1f2d6

2015-06-12 15:34:06

chenson

Details Diff
0002311: Don't use 503 when SymmetricDS is unavailable as some proxies
return that as well.
0002312: Return different error codes for when an engine is stopped or
starting versus the server is too busy

Conflicts:
symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java

0002311
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/Constants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/AuthenticationException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ConnectionRejectedException.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/OfflineException.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ServiceUnavailableException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/SyncDisabledException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/TransportException.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpIncomingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/web/WebConstants.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/NodeConcurrencyInterceptor.java Diff File

Issue History

Date Modified Username Field Change
2015-06-12 15:32 chenson New Issue
2015-06-12 15:32 chenson Status new => assigned
2015-06-12 15:32 chenson Assigned To => chenson
2015-06-12 15:34 chenson Status assigned => resolved
2015-06-12 15:34 chenson Fixed in Version => 3.8.0
2015-06-12 15:34 chenson Resolution open => fixed
2015-06-12 16:00 chenson Changeset attached => SymmetricDS trunk r9497
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f56956a2
2015-09-24 11:33 chenson Product Version 3.8.0 => 3.7.22
2015-09-24 11:33 chenson Target Version 3.8.0 => 3.7.22
2015-09-24 11:34 chenson Fixed in Version 3.8.0 => 3.7.22
2015-09-24 13:00 chenson Changeset attached => SymmetricDS 3.7 48d1f2d6
2015-10-02 10:23 chenson Status resolved => closed